cls
echo off
rem
rem                       EQUAL PARTNERS
rem
rem                        Version 1.10
rem         Copyright (c) DOWNLINK SYSTEMS INC. 1986,1987
rem
rem This is an example of installing PARTNERS on the "server"
rem also the .bat checks the error/return code from the
rem application program, and takes action accordingly.
rem
rem The %1 symbolic parameter may be COM1 or COM2
rem

PARTNERS.com /%1

if errorlevel 4 goto okexit
if errorlevel 3 goto already
if errorlevel 2 goto missing
if errorlevel 1 goto badcomm
echo PARTNERS successfully installed resident
goto end

:okexit
echo PARTNERS terminated because 'ESC' key pressed!
goto end

:already
echo Equal communications program already installed
goto end

:badcomm
echo Communications port %1 was not found
goto end

:end
echo ** END OF PARTNERS INSTALL **
